<?php
/**
 * The template for displaying Archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each specific one. For example, Tikva
 * already has tag.php for Tag archives, category.php for Category archives,
 * and author.php for Author archives.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Tikva
 * @since Tikva 0.1
 */

get_header(); ?>



<div class="container">

<div id="main" class="site-main">


<div class="row">

    <div class="col-md-9 col-sm-8">
	<section id="primary" class="content-area">
		<div id="content" class="site-content" role="main">

			<?php if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title">
					<?php
						if ( is_day() ) :
							printf( __( 'Daily Archives: %s', 'tikva' ), get_the_date() );

						elseif ( is_month() ) :
							printf( __( 'Monthly Archives: %s', 'tikva' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'tikva' ) ) );

						elseif ( is_year() ) :
							printf( __( 'Yearly Archives: %s', 'tikva' ), get_the_date( _x( 'Y', 'yearly archives date format', 'tikva' ) ) );

						else :
							_e( 'Archives', 'tikva' );

						endif;
					?>
				</h1>
			</header><!-- .page-header -->

			<?php
					// Start the Loop.
					while ( have_posts() ) : the_post();

						/*
						 * Include the post format-specific template for the content. If you want to
						 * use this in a child theme, then include a file called called content-___.php
						 * (where ___ is the post format) and that will be used instead.
						 */
						get_template_part( 'content', get_post_format() );

					endwhile;
					// Previous/next page navigation.
					tikva_paging_nav();

				else :
					// If no content, include the "No posts found" template.
					get_template_part( 'content', 'none' );

				endif;
			?>
		</div><!-- #content -->
	</section><!-- #primary -->
    </div>

    <div class="col-md-3 col-sm-4">
        <?php
        get_sidebar( 'content' );
        get_sidebar();
        ?>
    </div>

</div>

</div><!-- #main -->
</div><!-- container -->
<?php
get_footer();
